[1/5] travis/docker: install docker from the test repo

Submitted by Andrei Vagin on Jan. 2, 2019, 7:06 a.m.

Details

Message ID 20190102070642.27270-2-avagin@gmail.com
State Accepted
Series "travix: a few fixes for docker and fedora jobs"
Headers show

Commit Message

Andrei Vagin Jan. 2, 2019, 7:06 a.m.
C/R in Docker from the stable repo is broken.

Signed-off-by: Andrei Vagin <avagin@gmail.com>
---
 scripts/travis/docker-test.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

Patch hide | download patch | download mbox

diff --git a/scripts/travis/docker-test.sh b/scripts/travis/docker-test.sh
index 0f034cfa6..14868e960 100755
--- a/scripts/travis/docker-test.sh
+++ b/scripts/travis/docker-test.sh
@@ -12,7 +12,7 @@  curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -
 add-apt-repository \
    "deb [arch=amd64] https://download.docker.com/linux/ubuntu \
    $(lsb_release -cs) \
-   stable"
+   stable test"
 
 
 apt-get update -qq
@@ -50,6 +50,8 @@  for i in `seq 50`; do
 	docker exec cr ps axf &&
 	docker checkpoint create cr checkpoint$i &&
 	sleep 1 &&
+	docker ps &&
+	(docker exec cr true && exit 1 || exit 0) &&
 	docker start --checkpoint checkpoint$i cr 2>&1 | tee log || {
 		cat "`cat log | grep 'log file:' | sed 's/log file:\s*//'`" || true
 		docker logs cr || true